window.addEventListener('load',function(ev){
  
  // add behavior to the flip button on the front side
  document.getElementById('flipfront').addEventListener('click',function(ev){
    flipWidget("back");
  }, false);

  // add behavior to the flip button on the front side
  document.getElementById('flipback').addEventListener('click',function(ev){
    flipWidget("front");
  }, false);

  // add a change handler so that the widget shows whatever we input into the 
  // widget front
  document.getElementById('frontlabel').addEventListener('change',function(ev){
    document.getElementById('hellotext').textContent = this.value;
  },false);
  
  // set the contents of the text field to the initial value
  document.getElementById('frontlabel').setAttribute('value',document.getElementById('hellotext').textContent);
},false);

function flipWidget(to){
  switch (to) {
    case "back":
      document.getElementById('kicsi').style.display = "none";
      document.getElementById('nagy').style.display = "block";
      break;
    case "front":
      document.getElementById('nagy').style.display = "none";
      document.getElementById('kicsi').style.display = "block";
      break;
    default:
      // do nothing
      break;
  }
}